%define module	Crypt-CipherSaber
%define name	perl-%{module}
%define version 1.00
%define release %mkrel 7

Name:		    %{name}
Version:	    %{version}
Release:	    %{release}
Summary:	    Perl module implementing CipherSaber encryption
License:	    GPL or Artistic
Group:		    Development/Perl
Url:		    http://search.cpan.org/dist/%{module}
Source:		    http://www.cpan.org/modules/by-module/Crypt/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Test::Warn)
BuildArch:	    noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
The Crypt::CipherSaber module implements CipherSaber encryption, described at
http://ciphersaber.gurus.com. It is simple, fairly speedy, and relatively
secure algorithm based on RC4.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Crypt
%{_mandir}/*/*



%changelog
* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.00-7mdv2010.0
+ Revision: 426441
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.00-6mdv2009.0
+ Revision: 223580
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.00-5mdv2008.1
+ Revision: 136699
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-5mdv2007.0
- spec cleanup
- fix directory ownership

* Mon Aug 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-4mdk
- real buildrequires fix (thx spurtle)

* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-3mdk
- Revert previous uncessary fix...

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.00-2mdk
- Fix BuildRequires

* Mon Jul 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdk
- New release 1.00
- make test
- spec cleanup

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.61-3mdk
- fix buildrequires in a backward compatible way

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.61-2mdk 
- rpmbuildupdate aware

* Tue Dec 16 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.61-1mdk
- first mdk release

